CLOCK_SETTIME(2)

NAME
clock_settime - Set the specified clock

SYNOPSIS

long sys_clock_settime (clockid_t which_clock, const struct timespec *tp);

DESCRIPTION

clock_settime sets the specified clock, which_clock, to the value specified by tp. The values that clockid_t currently supports for POSIX.1b timers, defined in include/linux/time.h, are:

CLOCK_REALTIME
    Systemwide realtime clock.

CLOCK_MONOTONIC
    Represents monotonic time. Cannot be set.

CLOCK_PROCESS_CPUTIME_ID
    High resolution per-process timer.

CLOCK_THREAD_CPUTIME_ID
    Thread-specific timer.

CLOCK_REALTIME_HR
    High resolution version of CLOCK_REALTIME.

CLOCK_MONOTONIC_HR
    High resolution version of CLOCK_MONOTONIC.

RETURN VALUE

clock_gettime returns 0 on success; otherwise, it returns one of the errors listed in the "Errors" section.

ERRORS

-EINVAL
    An invalid which_clock value was specified.

-EFAULT
    Can not copy tp value to kernel space.

SEE ALSO

clock_getres(2), clock_nanosleep(2), clock_gettime(2)

AUTHOR
Niki Rahimi